## TumblerThumbnailFlavor

TumblerThumbnailFlavor

## Functions

TumblerThumbnailFlavor * | tumbler_thumbnail_flavor_new ()
TumblerThumbnailFlavor * | tumbler_thumbnail_flavor_new_normal ()
TumblerThumbnailFlavor * | tumbler_thumbnail_flavor_new_large ()
TumblerThumbnailFlavor * | tumbler_thumbnail_flavor_new_x_large ()
TumblerThumbnailFlavor * | tumbler_thumbnail_flavor_new_xx_large ()
const gchar * | tumbler_thumbnail_flavor_get_name ()
void | tumbler_thumbnail_flavor_get_size ()

## Properties

int | height | Read / Write / Construct Only
char * | name | Read / Write / Construct Only
int | width | Read / Write / Construct Only

## Types and Values

| TumblerThumbnailFlavor

## Object Hierarchy

        GObject
        ╰── TumblerThumbnailFlavor

## Description

## Functions

### tumbler_thumbnail_flavor_new ()

    TumblerThumbnailFlavor *
    tumbler_thumbnail_flavor_new (const gchar *name,
                                  gint width,
                                  gint height);

### tumbler_thumbnail_flavor_new_normal ()

    TumblerThumbnailFlavor *
    tumbler_thumbnail_flavor_new_normal (void);

### tumbler_thumbnail_flavor_new_large ()

    TumblerThumbnailFlavor *
    tumbler_thumbnail_flavor_new_large (void);

### tumbler_thumbnail_flavor_new_x_large ()

    TumblerThumbnailFlavor *
    tumbler_thumbnail_flavor_new_x_large (void);

### tumbler_thumbnail_flavor_new_xx_large ()

    TumblerThumbnailFlavor *
    tumbler_thumbnail_flavor_new_xx_large (void);

### tumbler_thumbnail_flavor_get_name ()

    const gchar *
    tumbler_thumbnail_flavor_get_name (TumblerThumbnailFlavor *flavor);

### tumbler_thumbnail_flavor_get_size ()

    void
    tumbler_thumbnail_flavor_get_size (TumblerThumbnailFlavor *flavor,
                                       gint *width,
                                       gint *height);

## Types and Values

### TumblerThumbnailFlavor

    typedef struct _TumblerThumbnailFlavor TumblerThumbnailFlavor;

## Property Details

### The `“height”` property

      “height”                   int

height.

Owner: TumblerThumbnailFlavor

Flags: Read / Write / Construct Only

Allowed values: >= -1

Default value: 0

### The `“name”` property

      “name”                     char *

name.

Owner: TumblerThumbnailFlavor

Flags: Read / Write / Construct Only

Default value: NULL

### The `“width”` property

      “width”                    int

width.

Owner: TumblerThumbnailFlavor

Flags: Read / Write / Construct Only

Allowed values: >= -1

Default value: 0